cascading.flow.hadoop

## Class FlowMapper

- java.lang.Object
- - cascading.flow.hadoop.FlowMapper

All Implemented Interfaces:
  JobConfigurable, MapRunnable

    public class FlowMapper
    extends Object
    implements MapRunnable

Class FlowMapper is the Hadoop Mapper implementation.

### Constructor Summary

Constructors
Constructor and Description
`FlowMapper()` Constructor FlowMapper creates a new FlowMapper instance.

### Method Summary

Methods
`void` `configure(JobConf jobConf)`
`void` `run(RecordReader input, OutputCollector output, Reporter reporter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FlowMapper

    public FlowMapper()

Constructor FlowMapper creates a new FlowMapper instance.

### Method Detail

#### configure

    public void configure(JobConf jobConf)

Specified by:
  `configure` in interface `JobConfigurable`

#### run

    public void run(RecordReader input,
           OutputCollector output,
           Reporter reporter)
             throws IOException

Specified by:
  `run` in interface `MapRunnable`
Throws:
  `IOException`